﻿using FluentValidation.AspNetCore;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Caching.Memory;
using Microsoft.Extensions.Options;
using Newtonsoft.Json.Linq;
using Performance.DtoModels;
using Performance.DtoModels.AppSettings;
using Performance.EntityModels;
using Performance.Infrastructure;
using Performance.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Performance.Api.Controllers
{
    [Route("api/[controller]")]
    public class AssessController : Controller
    {
        private ClaimService claimService;
        private AssessService assessService;
        public AssessController(ClaimService claimService,
            AssessService assessService)
        {
            this.claimService = claimService;
            this.assessService = assessService;
        }

        //新增考核类别
        [HttpPost]
        [Route("addassess")]
        public ApiResponse AddAssess([CustomizeValidator(RuleSet = "Add"), FromBody]AssessRequest request)
        {
            assessService.AddAssess(request.AllotID, request.AssessName);
            throw new NotImplementedException();
        }

        //修改考核类别
        [HttpPost]
        [Route("editassess")]
        public ApiResponse EditAssess([CustomizeValidator(RuleSet = "Update"), FromBody]AllotRequest request)
        {
            throw new NotImplementedException();
        }

        //删除考核类别
        [HttpPost]
        [Route("delassess")]
        public ApiResponse DelAssess([CustomizeValidator(RuleSet = "Del"), FromBody]AssessRequest request)
        {
            throw new NotImplementedException();
        }

        //获取所有科室列表
        [HttpPost]
        [Route("departmentlist")]
        public ApiResponse DepartmentList()
        {
            throw new NotImplementedException();
        }

        //设置科室考核分类
        [HttpPost]
        [Route("setassesstype")]
        public ApiResponse SetAssessType()
        {
            throw new NotImplementedException();
        }

        //新增考核项
        [HttpPost]
        [Route("addcolumn")]
        public ApiResponse AddColumn()
        {
            throw new NotImplementedException();
        }

        //删除考核项
        [HttpPost]
        [Route("delcolumn")]
        public ApiResponse DelColumn()
        {
            throw new NotImplementedException();
        }
    }
}
